import request from 'src/utils/request'

// 查询子系统发布包管理列表
export function listQrSubSysPatch(query) {
  return request({
    url: '/qrcode/device/qrSubSysPatch/list',
    method: 'get',
    params: query
  })
}

// 查询子系统发布包管理详细
export function getQrSubSysPatch(id) {
  return request({
    url: '/qrcode/device/qrSubSysPatch/' + id,
    method: 'get'
  })
}

// 新增子系统发布包管理
export function addQrSubSysPatch(data) {
  return request({
    url: '/qrcode/device/qrSubSysPatch',
    method: 'post',
    data: data
  })
}

// 修改子系统发布包管理
export function updateQrSubSysPatch(data) {
  return request({
    url: '/qrcode/device/qrSubSysPatch',
    method: 'put',
    data: data
  })
}

// 删除子系统发布包管理
export function delQrSubSysPatch(id) {
  return request({
    url: '/qrcode/device/qrSubSysPatch/' + id,
    method: 'delete'
  })
}
